Out

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.JFlex
Class Out

    java.lang.Object
      weka.core.parser.JFlex.Out

    public final class Out

extends java.lang.Object

In this class all output to the java console is filtered. Use the switches verbose, time and DUMP at compile time to determine the verbosity of JFlex output. There is no switch for suppressing error messages. verbose and time can be overridden by command line paramters. Redirects output to a TextArea in GUI mode. Counts error and warning messages.

Version:
  JFlex 1.4.1, $Revision: 1.1 $, $Date: 2008-05-09 09:14:10 $
Author:
  Gerwin Klein

Field Summary
`static java.lang.String` | `NL` platform dependent newline sequence

Constructor Summary
`Out()`

Method Summary
`static void` | `checkErrors()` throws a GeneratorException if there are any errors recorded
`static void` | `debug(java.lang.String message)` Dump debug information to System.out Use like this `if (Out.DEBUG) Out.debug(message)` to save performance during normal operation (when DEBUG is turned off).
`static void` | `dump(java.lang.String message)` All parts of JFlex, that want to provide dump information should use this method for their output.
`static void` | `error(ErrorMessages message)` print error message (code)
`static void` | `error(ErrorMessages message, java.io.File file)` IO error message for a file (displays file name in parentheses).
`static void` | `error(ErrorMessages message, java.lang.String data)` print error message with data
`static void` | `error(java.io.File file, ErrorMessages message, int line, int column)` print error message with location information
`static void` | `error(java.lang.String message)` print error message (string)
`static void` | `print(java.lang.String message)` Report generation progress.
`static void` | `println(ErrorMessages message, int data)` Report generation progress.
`static void` | `println(ErrorMessages message, java.lang.String data)` Report generation progress.
`static void` | `println(java.lang.String message)` Report generation progress.
`static void` | `printSystemInfo()` Print system information (e.g.
`static void` | `requestBugReport(java.lang.Error e)` Request a bug report for an unexpected Exception/Error.
`static void` | `resetCounters()` reset error and warning counters
`static void` | `setGUIMode(java.awt.TextArea text)` Switches to GUI mode if `text` is not `null`
`static void` | `setOutputStream(java.io.OutputStream stream)` Sets a new output stream and switches to non-gui mode.
`static void` | `showPosition(java.io.File file, int line)` print a line of a file
`static void` | `showPosition(java.io.File file, int line, int column)` prints a line of a file with marked position.
`static void` | `statistics()` print error and warning statistics
`static void` | `time(ErrorMessages message, Timer time)` Report time statistic data.
`static void` | `time(java.lang.String message)` Report time statistic data.
`static void` | `warning(ErrorMessages message, int line)` print a warning with line information
`static void` | `warning(java.io.File file, ErrorMessages message, int line, int column)` print warning message with location information
`static void` | `warning(java.lang.String message)` print a warning without position information

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NL

    public static final java.lang.String NL

  platform dependent newline sequence

Constructor Detail

### Out

    public Out()

Method Detail

### setGUIMode

    public static void setGUIMode(java.awt.TextArea text)

  Switches to GUI mode if `text` is not `null`

  Parameters:
    `text` - the message TextArea of the JFlex GUI

### setOutputStream

    public static void setOutputStream(java.io.OutputStream stream)

  Sets a new output stream and switches to non-gui mode.

  Parameters:
    `stream` - the new output stream

### time

    public static void time(ErrorMessages message,
                            Timer time)

  Report time statistic data.

  Parameters:
    `message` - the message to be printed
    `time` - elapsed time

### time

    public static void time(java.lang.String message)

  Report time statistic data.

  Parameters:
    `message` - the message to be printed

### println

    public static void println(java.lang.String message)

  Report generation progress.

  Parameters:
    `message` - the message to be printed

### println

    public static void println(ErrorMessages message,
                               java.lang.String data)

  Report generation progress.

  Parameters:
    `message` - the message to be printed
    `data` - data to be inserted into the message

### println

    public static void println(ErrorMessages message,
                               int data)

  Report generation progress.

  Parameters:
    `message` - the message to be printed
    `data` - data to be inserted into the message

### print

    public static void print(java.lang.String message)

  Report generation progress.

  Parameters:
    `message` - the message to be printed

### debug

    public static void debug(java.lang.String message)

  Dump debug information to System.out Use like this `if (Out.DEBUG) Out.debug(message)` to save performance during normal operation (when DEBUG is turned off).

### dump

    public static void dump(java.lang.String message)

  All parts of JFlex, that want to provide dump information should use this method for their output.

### checkErrors

    public static void checkErrors()

  throws a GeneratorException if there are any errors recorded

### statistics

    public static void statistics()

  print error and warning statistics

### resetCounters

    public static void resetCounters()

  reset error and warning counters

### warning

    public static void warning(java.lang.String message)

  print a warning without position information

  Parameters:
    `message` - the warning message

### warning

    public static void warning(ErrorMessages message,
                               int line)

  print a warning with line information

  Parameters:
    `message` - code of the warning message
    `line` - the line information
  See Also:
    `ErrorMessages`

### warning

    public static void warning(java.io.File file,
                               ErrorMessages message,
                               int line,
                               int column)

  print warning message with location information

  Parameters:
    `file` - the file the warning is issued for
    `message` - the code of the message to print
    `line` - the line number of the position
    `column` - the column of the position

### error

    public static void error(java.lang.String message)

  print error message (string)

  Parameters:
    `message` - the message to print

### error

    public static void error(ErrorMessages message)

  print error message (code)

  Parameters:
    `message` - the code of the error message
  See Also:
    `ErrorMessages`

### error

    public static void error(ErrorMessages message,
                             java.lang.String data)

  print error message with data

  Parameters:
    `data` - data to insert into the message
    `message` - the code of the error message
  See Also:
    `ErrorMessages`

### error

    public static void error(ErrorMessages message,
                             java.io.File file)

  IO error message for a file (displays file name in parentheses).

  Parameters:
    `message` - the code of the error message
    `file` - the file it occurred for

### error

    public static void error(java.io.File file,
                             ErrorMessages message,
                             int line,
                             int column)

  print error message with location information

  Parameters:
    `file` - the file the error occurred for
    `message` - the code of the error message to print
    `line` - the line number of error position
    `column` - the column of error position

### showPosition

    public static void showPosition(java.io.File file,
                                    int line,
                                    int column)

  prints a line of a file with marked position.

  Parameters:
    `file` - the file of which to show the line
    `line` - the line to show
    `column` - the column in which to show the marker

### showPosition

    public static void showPosition(java.io.File file,
                                    int line)

  print a line of a file

  Parameters:
    `file` - the file to show
    `line` - the line number

### printSystemInfo

    public static void printSystemInfo()

  Print system information (e.g. in case of unexpected exceptions)

### requestBugReport

    public static void requestBugReport(java.lang.Error e)

  Request a bug report for an unexpected Exception/Error.

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD